Chromium Code Reviews
Help | Chromium Project | Sign in
(124)

Issue 2743363006: Clean up cc/paint interfaces (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 4 days ago by enne
Modified:
5 days, 23 hours ago
CC:
ajuma+watch_chromium.org, blink-layers+watch_chromium.org, blink-reviews, blink-reviews-paint_chromium.org, blink-reviews-platform-graphics_chromium.org, Rik, cc-bugs_chromium.org, chromium-reviews, danakj+watch_chromium.org, dshwang, drott+blinkwatch_chromium.org, krit, feature-media-reviews_chromium.org, fmalita+watch_chromium.org, fs, gyuyoung, jbroman, Justin Novosad, kinuko+watch, kouhei+svg_chromium.org, pdr+graphicswatchlist_chromium.org, pdr+svgwatchlist_chromium.org, posciak+watch_chromium.org, rwlbuis, Stephen Chennney
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Clean up cc/paint interfaces Remove unused functions and merge duplicates. Also, make all functions that may take ownership of objects use sk_sp<Object> parameters. TBR=junov@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel;master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2743363006 Cr-Commit-Position: refs/heads/master@{#458150} Committed: https://chromium.googlesource.com/chromium/src/+/8c44b140cee7a5989c1e2e8fd52267e27332564d

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Remove a few more functions #

Patch Set 4 : Rebase #

Total comments: 42

Patch Set 5 : danakj review #

Patch Set 6 : One more move #

Patch Set 7 : Rebase #

Patch Set 8 : Fix PaintControllerTest, BitmapImage crash #

Patch Set 9 : Fix PaintControllerTest v2 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+127 lines, -200 lines) Patch
M cc/layers/picture_image_layer.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M cc/paint/paint_canvas.h View 1 2 4 chunks +8 lines, -20 lines 0 comments Download
M cc/paint/paint_recorder.h View 1 chunk +0 lines, -9 lines 0 comments Download
M cc/paint/paint_shader.h View 1 chunk +1 line, -8 lines 0 comments Download
M cc/paint/paint_surface.h View 1 chunk +0 lines, -1 line 0 comments Download
M cc/paint/skia_paint_canvas.h View 1 2 4 chunks +5 lines, -17 lines 0 comments Download
M cc/paint/skia_paint_canvas.cc View 1 2 4 chunks +8 lines, -38 lines 0 comments Download
M cc/test/fake_content_layer_client.cc View 1 2 3 4 5 6 1 chunk +1 line, -2 lines 0 comments Download
M media/renderers/skcanvas_video_renderer.cc View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/paint/ClipPathClipper.cpp View 1 2 3 4 1 chunk +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/paint/SVGMaskPainter.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/svg/graphics/SVGImage.cpp View 1 2 3 4 5 6 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/canvas2d/BaseRenderingContext2D.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/BitmapImage.cpp View 1 2 3 4 5 6 7 1 chunk +7 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/BoxReflection.h View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/DeferredImageDecoderTest.cpp View 1 2 3 4 7 chunks +7 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsContext.h View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsContext.cpp View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsContextTest.cpp View 1 2 3 4 3 chunks +4 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsLayer.h View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/GraphicsLayer.cpp View 1 2 3 4 4 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/Image.cpp View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/ImageBuffer.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/PaintGeneratedImage.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/StaticBitmapImage.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/compositing/PaintChunksToCcLayer.cpp View 1 2 3 4 5 6 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/filters/SkiaImageFilterBuilder.cpp View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DisplayItemList.cpp View 1 2 3 4 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.h View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp View 1 2 3 4 5 4 chunks +9 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/PaintArtifact.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/PaintController.cpp View 1 2 3 4 1 chunk +10 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/platform/graphics/paint/PaintControllerTest.cpp View 5 6 7 8 6 chunks +38 lines, -38 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 37 (21 generated)
enne
1 week, 4 days ago (2017-03-15 18:34:29 UTC) #5
enne
danakj/vmpstr (one of you or both): overall pdr: mechanical Blink stuff junov: minor canvas header ...
1 week, 2 days ago (2017-03-16 19:14:50 UTC) #12
pdr.
On 2017/03/16 at 19:14:50, enne wrote: > danakj/vmpstr (one of you or both): overall > ...
1 week, 2 days ago (2017-03-16 19:52:56 UTC) #13
danakj
The cc changes LGTM I just have a bunch of comments on the code that ...
1 week, 2 days ago (2017-03-16 20:06:17 UTC) #14
enne
danakj: thanks for the thorough review. I made all your requested changes, except: https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp File ...
1 week, 2 days ago (2017-03-16 20:57:27 UTC) #15
danakj
https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp File third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp (right): https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp#newcode78 third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp:78: static bool bitmapsEqual(sk_sp<const PaintRecord> record1, On 2017/03/16 20:57:26, enne ...
1 week, 2 days ago (2017-03-16 21:02:02 UTC) #16
enne
https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp File third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp (right): https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp#newcode124 third_party/WebKit/Source/platform/graphics/paint/DrawingDisplayItem.cpp:124: return bitmapsEqual(record, otherRecord); On 2017/03/16 at 21:02:01, danakj wrote: ...
1 week, 2 days ago (2017-03-16 21:06:33 UTC) #17
watk
media lgtm
1 week, 2 days ago (2017-03-16 22:50:50 UTC) #18
enne
TBRing junov
1 week, 2 days ago (2017-03-17 16:39:27 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2743363006/120001
1 week, 2 days ago (2017-03-17 16:39:54 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: linux_trusty_blink_rel on master.tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/linux_trusty_blink_rel/builds/6674)
1 week, 2 days ago (2017-03-17 17:14:02 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2743363006/140001
1 week, 1 day ago (2017-03-17 21:45:14 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/386718)
1 week, 1 day ago (2017-03-17 23:43:05 UTC) #30
enne
https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/PaintControllerTest.cpp File third_party/WebKit/Source/platform/graphics/paint/PaintControllerTest.cpp (right): https://codereview.chromium.org/2743363006/diff/60001/third_party/WebKit/Source/platform/graphics/paint/PaintControllerTest.cpp#newcode801 third_party/WebKit/Source/platform/graphics/paint/PaintControllerTest.cpp:801: sk_sp<const PaintRecord> firstPaintRecord = On 2017/03/16 at 20:06:17, danakj ...
6 days, 1 hour ago (2017-03-20 17:14:15 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2743363006/160001
6 days, 1 hour ago (2017-03-20 17:15:05 UTC) #34
commit-bot: I haz the power
5 days, 23 hours ago (2017-03-20 19:35:54 UTC) #37
Message was sent while issue was closed.
Committed patchset #9 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/8c44b140cee7a5989c1e2e8fd522...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62